<!DOCTYPE html>
<script>
    function httpGet(theUrl)
{
    var xmlHttp = new XMLHttpRequest();
    xmlHttp.open( "GET", theUrl, false ); // false for synchronous request
    xmlHttp.send( null );
    return xmlHttp.responseText;

}
function loadImageFromServer(num){
    document.getElementById("srvimg").src = "/getImage?flight_id=test&image_id=" + num
}
function loadFromServer(){
    var num_of_images = JSON.parse(httpGet("/getFlightInfo?flight_id=test")).content
     var myNode = document.getElementById("buttonarea");
     console.log(myNode)
      while (myNode.firstChild) {
        myNode.removeChild(myNode.lastChild);
      }
    console.log(num_of_images)
    for (i = 0; i < num_of_images; i++) {
        var btn = document.createElement("BUTTON");
        btn.innerHTML = i;

        var str = toString(i)
        btn.setAttribute("onclick","loadImageFromServer("+i+")")
        myNode.appendChild(btn);
        console.log("Button have been added")
    }
}
</script>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <img id="srvimg" src="/getLastImage?flight_id=test" style="height:500px" >
    <button type="button" onclick="loadFromServer()" >Load!</button>
    <div id="buttonarea">
        test
    </div>
    <title>Title</title>
</head>
<body>

</body>
</html>
